#include <vector>
#include "raylib.h"

class BackGround
{

public:
  BackGround() = default;
  ~BackGround() = default;
  void init(int size);
  void newGen();

private:
  void starts();
  void moon();
  void mounten(size_t mountenSegments, float scale, int min, int max, Color color);

  int size = 0;
  Texture2D texShapes = {1, 1, 1, 1, 7};

  size_t numOfStarts = 150;

  float minSizeOfMoon = 0.05f;
  float maxSizeOfMoon = 0.075f;
  float maxYPosOfMoon = 0.75f;
  float bigRingRatio = 0.5f;
  float smallRingRatio = 0.25f;
  float bigRingBlend = 0.02f;
  float smallRingBlend = 0.05f;

  float colorRatio1 = 0.3f;
  float colorRatio2 = 0.5f;
  float mounten1 = 0.6875f;
  float mounten2 = 0.8125f;
  float mounten3 = 0.9125;
  float mounten4 = 0.975f;
};
